Skip to main content
GET
/
organizations
/
{organization_id}
Get organization
curl --request GET \
  --url {schemes}://api.upsun.com/organizations/{organization_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "type": "fixed",
  "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "namespace": "<string>",
  "name": "<string>",
  "label": "<string>",
  "country": "<string>",
  "capabilities": [
    "<string>"
  ],
  "vendor": "<string>",
  "billing_account_id": "<string>",
  "billing_legacy": true,
  "security_contact": "jsmith@example.com",
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "_links": {
    "self": {
      "href": "<string>"
    },
    "update": {
      "href": "<string>",
      "method": "<string>"
    },
    "delete": {
      "href": "<string>",
      "method": "<string>"
    },
    "members": {
      "href": "<string>"
    },
    "create-member": {
      "href": "<string>",
      "method": "<string>"
    },
    "address": {
      "href": "<string>"
    },
    "profile": {
      "href": "<string>"
    },
    "payment-source": {
      "href": "<string>"
    },
    "orders": {
      "href": "<string>"
    },
    "vouchers": {
      "href": "<string>"
    },
    "apply-voucher": {
      "href": "<string>",
      "method": "<string>"
    },
    "subscriptions": {
      "href": "<string>"
    },
    "create-subscription": {
      "href": "<string>",
      "method": "<string>"
    },
    "estimate-subscription": {
      "href": "<string>"
    },
    "mfa-enforcement": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string
required

The ID of the organization.
Prefix with name= to retrieve the organization by name instead.

Response

OK

id
string<ulid>

The ID of the organization.

type
enum<string>

The type of the organization.

Available options:
fixed,
flexible
owner_id
string<uuid>

The ID of the owner.

namespace
string

The namespace in which the organization name is unique.

name
string

A unique machine name representing the organization.

label
string

The human-readable label of the organization.

country
string

The organization country (2-letter country code).

Maximum string length: 2
capabilities
string[]

The organization capabilities.

vendor
string

The vendor.

billing_account_id
string

The Billing Account ID.

billing_legacy
boolean

Whether the account is billed with the legacy system.

security_contact
string<email>

The security contact email address for the organization.

status
enum<string>

The status of the organization.

Available options:
active,
restricted,
suspended,
deleted
created_at
string<date-time>

The date and time when the organization was created.

updated_at
string<date-time>

The date and time when the organization was last updated.